ShapeTable.h File Reference
`#include "Dudley.h"`
`#include "ElementType.h"`

Go to the source code of this file.

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Functions

bool | dudley::getQuadShape (dim_t dim, bool reduced, const double **shapearr)
const char * | dudley::getElementName (ElementTypeId id)

## Variables

static const double | dudley::DTDV_1D [2][2] = { {-1., 1}, {-1., 1.} }
static const double | dudley::DTDV_2D [3 *3][2]
static const double | dudley::DTDV_3D [4][3]
static const int | dudley::localDims [8] = { 0, 1, 2, 3, 0, 1, 2, 0 }
static const int | dudley::Dims [8] = { 0, 1, 2, 3, 1, 2, 3, 0 }
static const int | dudley::numNodesOnFaceMap [8] = { 1, 2, 3, 4, 1, 2, 4, -1 }
static const int | dudley::shiftNodesMap [8][4] = { {0}, {1, 0}, {1, 2, 0}, {-1}, {0, 1, 2}, {1, 0, 2}, {1, 2, 0, 3}, {0} }
static const int | dudley::reverseNodesMap [8][4] = { {-1}, {-1}, {0, 2, 1}, {-1}, {-1}, {-1}, {0, 2, 1, 3}, {0} }
static const double | dudley::QuadWeight [4][2] = { {0, 0}, {1., 0.5}, {0.5, 1. / 6}, {1. / 6, 1. / 24} }
static const int | dudley::QuadNums [4][2] = { {0, 0}, {1, 2}, {1, 3}, {1, 4} }